Statistics
12
0
0
264d
Badges
Tags
Dependencies

PdfMerger

PdfMerger for Nette Framework and Ghost Script.

Installation

The best way to install AlesWita/PdfMerger is using Composer:

$ composer require aleswita/pdfmerger:dev-master

Usage

Configuration

extensions:
  pdfmerger: AlesWita\PdfMergerExtension
	
pdfmerger:
  program: "\"C:\\Program Files\\gs\\gs9.19\\bin\\gswin64c.exe\""

Presenter

use AlesWita;

final class HomePresenter extends BasePresenter
{
  /** @var AlesWita\PdfMerger @inject */
  public $pdfMerger;

  ...
  
  public function handleMergePdf(array $files): void {
    foreach ($files as $file) {
      $this->pdfMerger->addPdf($file);
    }
  
    $this->pdfMerger->setOutputFile("test.pdf")
      ->merge();
  }
}
  • 1.0 Version 1.0

    For Nette Framework: ~2.3.0 || ~2.4.0
    For PHP: ~7.0.0 || ~7.1.0

    Further development of this package will focus on Nette Framework 2.4.0/3.0.0 and PHP 7.1.0.

Is this addon outdated? Did you find an issue? Please report it.

Componette Componette admin@componette.com